std::basic_ios::move(3)

NAME
std::basic_ios::move - std::basic_ios::move

Synopsis
   protected: (since C++11)
   void move( basic_ios& other );
   protected: (since C++11)
   void move( basic_ios&& other );
   Replaces the current state with that of other, except for the associated rdbuf.
   other is in valid, but unspecified state after the call. After the call to this
   function, rdbuf() returns a null pointer, other.rdbuf() returns the same value as
   before the call, and other.tie() returns a null pointer.
   This member function is protected: it is called by the protected move constructors
   of the derived stream classes std::basic_ostream and std::basic_istream, which, in
   turn, are called by the public move constructors of the further derived stream
   classes such as std::basic_ofstream, which know how to correctly move the associated
   streambuffer.

Parameters
   other - the basic_ios object to transfer the state from

Return value
   (none)

See also
   swap swaps with another std::basic_ios except for rdbuf
   (C++11) (protected member function)